// Google closure
goog.provide("vitis.controllers.userOrder");
goog.require("vitis.modules.main");

/**
 * userOrder Controller.
 * .
 * @param {angular.$log} $log Angular log service.
 * @param {angular.$rootScope} $rootScope Angular rootScope.
 * @param {$translateProvider.$translate} $translate TranslateProvider translate service.
 * @param {service} envSrvc Paramètres d'environnement.
 * @param {service} formSrvc Service de gestion des formulaires.
 * @ngInject
 **/
vitisApp.userOrderCtrl = function ($log, $rootScope, $translate, envSrvc, formSrvc) {
        // Initialisation
        $log.info("initUserOrder");
        // Attends la fin de la compilation du formulaire.
        var clearListener = $rootScope.$on("formExtracted", function(event) {
                // Supprime le "listener".
                clearListener();
                // Texte indicatif (placeholder) si aucune date de planification est sélectionnée.
                $translate(["FORM_MINEXECDATE_PLACE_HOLDER_MY_WORK_USER_ORDER"]).then(function (translations) {
                    if (envSrvc["sMode"] == "insert") {
                        var oMinExecDateFormElemDef = formSrvc["getFormElementDefinition"]("minexecdate", envSrvc["sFormDefinitionName"]);
                        document.getElementById(oMinExecDateFormElemDef["id"]).setAttribute("placeholder", translations["FORM_MINEXECDATE_PLACE_HOLDER_MY_WORK_USER_ORDER"]);
                    }
                    else {
                        if (!goog.isDefAndNotNull(envSrvc["oFormValues"][envSrvc["sFormDefinitionName"]]["minexecdate"]))
                            envSrvc["oFormValues"][envSrvc["sFormDefinitionName"]]["minexecdate"] = translations["FORM_MINEXECDATE_PLACE_HOLDER_MY_WORK_USER_ORDER"];
                    }
                });
        });
};
vitisApp.module.controller("userOrderCtrl", vitisApp.userOrderCtrl);
